import QtQuick 2.0
import Sailfish.Silica 1.0
import Nemo.Configuration 1.0

Page {
	ConfigurationGroup {
		id: config
		path: "/patch/roundedrectangle/launcher-peek-rows"

		property int hintRows: 1
		property int landscapeHintRows: -1
	}

	SilicaFlickable {
		anchors.fill: parent
		contentHeight: column.height

		PullDownMenu {
			MenuItem {
				text: qsTr("Reset")
				onClicked: config.clear()
			}
		}

		Column {
			id: column
			width: parent.width

			PageHeader { title: qsTr("Launcher peek rows") }

			Slider {
				width: parent.width
				label: qsTr("Launcher peek rows")
				minimumValue: 0
				maximumValue: 10
				stepSize: 1
				valueText: sliderValue
				value: config.hintRows
				onSliderValueChanged: config.hintRows = sliderValue
			}

			Slider {
				width: parent.width
				label: qsTr("Lanscape launcher peek rows")
				minimumValue: -1
				maximumValue: 10
				stepSize: 1
				valueText: sliderValue == -1 ? qsTr("Default") : sliderValue
				value: config.landscapeHintRows
				onSliderValueChanged: config.landscapeHintRows = sliderValue
			}
		}
	}
}
